## ros-r2b2-astra-camera 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(astra_camera)
if(NOT WIN32)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wextra")
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rmw_implementation_cmake REQUIRED)
find_package(Boost REQUIRED COMPONENTS system thread)

option(FILTER "OB Filter library" ON)

if( ${FILTER} STREQUAL "ON" )
set(obfilter "On")
else()
set(obfilter "Off")
endif()

include(ExternalProject)

ExternalProject_Add(astra_openni2
  PREFIX astra_openni2
  # SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/astra_openni2/OpenNI2
  GIT_REPOSITORY https://github.com/orbbec/OpenNI2.git
  GIT_TAG orbbec_ros
  CONFIGURE_COMMAND echo "no need to configure"
  #${CMAKE_CURRENT_SOURCE_DIR}/libantlr/configure --prefix=<INSTALL_DIR>
  BUILD_IN_SOURCE 1
  BUILD_COMMAND make release FILTER=${obfilter}
  INSTALL_DIR openni2
  INSTALL_COMMAND tar -xjf <SOURCE_DIR>/Packaging/Final/OpenNI-Linux-2.3.tar.bz2 -C <INSTALL_DIR> --strip 1 && mkdir -p <INSTALL_DIR>/include && ln -fs <INSTALL_DIR>/Include <INSTALL_DIR>/include/openni2
)

link_directories(${CMAKE_CURRENT_BINARY_DIR}/openni2/Redist)
include_directories(include
                    ${Boost_INCLUDE_DIRS}
                    ${CMAKE_CURRENT_BINARY_DIR}/openni2/include
                    )

add_library(astra_wrapper
   src/astra_convert.cpp
   src/astra_device.cpp
   src/astra_device_info.cpp
   src/astra_timer_filter.cpp
   src/astra_frame_listener.cpp
   src/astra_device_manager.cpp
   src/astra_exception.cpp
   src/astra_video_mode.cpp
)
ament_target_dependencies(astra_wrapper
  "builtin_interfaces"
  "rclcpp"
  "sensor_msgs"
)
target_link_libraries(astra_wrapper -lOpenNI2Orbbec ${Boost_LIBRARIES})
add_dependencies(astra_wrapper astra_openni2)

add_library(astra_driver_lib src/astra_driver.cpp)
ament_target_dependencies(astra_driver_lib
  "builtin_interfaces"
  "rclcpp"
  "sensor_msgs"
)
target_link_libraries(astra_driver_lib astra_wrapper ${Boost_LIBRARIES})
add_dependencies(astra_driver_lib astra_openni2)

add_executable(astra_camera_node
   ros/astra_camera_node.cpp
)
target_link_libraries(astra_camera_node astra_driver_lib)
add_dependencies(astra_camera_node astra_openni2)

install(TARGETS astra_camera_node
  DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/
)

install(TARGETS astra_wrapper astra_driver_lib
  DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/
)

install(FILES ${CMAKE_BINARY_DIR}/openni2/Redist/libOpenNI2Orbbec.so
  DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/
)

install(DIRECTORY ${CMAKE_BINARY_DIR}/openni2/Redist/OpenNI2
  DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CMAKE_INSTALL_PREFIX}/include/${PROJECT_NAME}/
)

ament_export_include_directories(include)
ament_export_libraries(astra_driver_lib astra_wrapper)
ament_package()

=== debian/changelog ===
ros-r2b2-astra-camera (0.2.0-7xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Tim Liu <liuhua@orbbec.com>  Sat, 01 Jul 2017 07:24:27 -0000

ros-r2b2-astra-camera (0.1.5-7xenial) xenial; urgency=high

  * add dependency on generated messages to avoid race condition at build time
  * switching to libusb-1.0
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Fri, 27 May 2016 04:00:00 -0000

ros-r2b2-astra-camera (0.1.4-7xenial) xenial; urgency=high

  * add libusb-dev as a build dependency
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Fri, 27 May 2016 04:00:00 -0000

ros-r2b2-astra-camera (0.1.3-7xenial) xenial; urgency=high

  * Adding build dependency on libudev-dev
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Thu, 26 May 2016 04:00:00 -0000

ros-r2b2-astra-camera (0.1.2-7xenial) xenial; urgency=high

  * add git as a dependency
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Thu, 26 May 2016 04:00:00 -0000

ros-r2b2-astra-camera (0.1.1-7xenial) xenial; urgency=high

  * removing dependency which was internalilzed
  * Contributors: Tully Foote

 -- Tim Liu <liuhua@orbbec.com>  Thu, 26 May 2016 04:00:00 -0000

ros-r2b2-astra-camera (0.1.0-7xenial) xenial; urgency=high

  * Initial release of ROS driver for Astra camera
  * Contributors: Ernesto Corbellini, Len Zhong, Tim, Tully Foote, ob-tim-liu

 -- Tim Liu <liuhua@orbbec.com>  Thu, 26 May 2016 04:00:00 -0000

=== debian/control ===
Source: ros-r2b2-astra-camera
Section: misc
Priority: extra
Maintainer: Tim Liu <liuhua@orbbec.com>
Build-Depends: debhelper (>= 9.0.0), git-core, libboost-all-dev, libudev-dev, libusb-1.0-0-dev, ros-r2b2-ament-cmake, ros-r2b2-builtin-interfaces, ros-r2b2-rclcpp, ros-r2b2-sensor-msgs, ros-r2b2-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-r2b2-astra-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libudev-dev, libusb-1.0-0-dev, ros-r2b2-builtin-interfaces, ros-r2b2-rclcpp, ros-r2b2-sensor-msgs, ros-r2b2-ros-workspace
Description: Drivers for Orbbec Astra Devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/r2b2/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Build type specific exports if any.

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/r2b2" -DAMENT_PREFIX_PATH="/opt/ros/r2b2"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-r2b2-astra-camera//opt/ros/r2b2/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/r2b2/setup.sh" ]; then . "/opt/ros/r2b2/setup.sh"; fi && \
	dh_auto_install
